<template>
  <div class="q-pa-md q-gutter-y-md column items-start">
    <div class="column" style="width: 100%; ">
      <div class="col">

        <q-btn-group push>
          <q-btn push label="Tambah Produk" icon="add" color="blue" to="/produk/create" />
          <q-btn push label="Tampilkan Filter" icon="search" style="background: darkgrey" @click="filterDiv = true"
                 v-if="!filterDiv" />
          <q-btn push label="Sembunyikan Filter" icon="search" style="background: white; color: black" @click="filterDiv =
      false"
                 v-else />
        </q-btn-group>
      </div>

      <div class="col" style="width: 100%; margin-top: 20px">
        <q-card style="width: 100%;">
          <q-card-section style="background: #61cb34">
            <q-item>
              <q-item-section>
                Produk Saya
              </q-item-section>
            </q-item>
          </q-card-section>

          <q-card-section v-if="filterDiv == true">
            <div class="row">
              <div class="col">
                <q-input style="padding: 10px" standout="bg-green text-white" label="Nama Produk"/>
              </div>
              <div class="col">
                <q-select style="padding: 10px" standout="bg-green text-white" options="options" label="Pilih Kategori" />
              </div>
              <div class="col">
                <q-select style="padding: 10px" standout="bg-green text-white" options="options" label="Pilih Jenis" />
              </div>
            </div>
          </q-card-section>

          <q-card-section>
            <q-tabs
              v-model="tab"
              dense
              class="text-grey"
              active-color="green"
              indicator-color="green"
              align="justify"
              narrow-indicator
            >
              <q-tab name="Semua" label="Semua" />
              <q-tab name="Tayang" label="Tayang" />
              <q-tab name="Diperiksa" label="Diperiksa" />
              <q-tab name="Arsip" label="Arsip" />
            </q-tabs>
          </q-card-section>
          <q-separator/>
          <q-card-section>
            <q-tab-panels v-model="tab" animated >
              <q-tab-panel name="Semua" style="padding: 0px;">
                <table-product style="margin: 0px; padding: 0px" />
              </q-tab-panel>

              <q-tab-panel name="Tayang">
                TAYANG
              </q-tab-panel>

              <q-tab-panel name="Diperiksa">
                DIPERIKSA
              </q-tab-panel>

              <q-tab-panel name="Arsip">
                ARSIP
              </q-tab-panel>

            </q-tab-panels>
          </q-card-section>
        </q-card>
      </div>
    </div>


  </div>
</template>

<script>
import TableProduct from "components/Table/TableProduct";
export default {
  name: "ListMyProduct",

  components: {
    TableProduct
  },

  data() {
    return {
      filterDiv: false,
      tab: "Semua"
    }
  }
}
</script>

<style scoped>

</style>
